## fonttools 4.29.1

=== debian/changelog ===
fonttools (4.29.1-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:48:58 +0000

fonttools (4.29.1-2) unstable; urgency=high

  * debian/control: Add missing dependency of python3-unicodedata2
    (Closes: #1005640)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 26 Feb 2022 10:45:25 +0800

fonttools (4.29.1-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control, debian/rules:
    Add nodoc and notest build profiles, clean up build dependencies
    (Closes: #1003522)

  [ Yao Wei (魏銘廷) ]
  * New upstream version 4.29.1

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 09 Feb 2022 21:12:31 +0800

fonttools (4.28.5-1) unstable; urgency=medium

  * New upstream version 4.28.5

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 26 Dec 2021 23:11:28 +0800

fonttools (4.28.3-1) unstable; urgency=medium

  * New upstream version 4.28.3
  * debian/control:
    - Update dependencies
    - Remove ufolib2 from Build-Depends to avoid circular dependency
  * debian/patches: Remove upstreamed patch

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 12 Dec 2021 22:06:03 +0800

fonttools (4.27.1-1) unstable; urgency=medium

  * debian/control: Add Multi-Arch: foreign to bin:fonttools. Closes: #995203
  * New upstream version 4.27.1
  * debian/patches: Fix tests with unicodedata 14.0
  * debian/upstream: Removed due to outdated information

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 31 Oct 2021 23:32:09 +0800

fonttools (4.26.2-2) unstable; urgency=medium

  * debian/control: Add missing dependencies. Closes: #993482

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 02 Sep 2021 12:49:00 +0800

fonttools (4.26.2-1) experimental; urgency=medium

  * New upstream version 4.26.2
  * debian/rules: Skip tfmLib test due to doctest loading issue
  * d/tests/control: Install fonttools for autopkgtest

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 29 Aug 2021 14:05:09 +0800

fonttools (4.24.4-1) experimental; urgency=medium

  * New upstream version 4.24.4

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 27 Jun 2021 21:53:23 +0800

=== debian/control ===
Source: fonttools
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Luke Faraone <lfaraone@debian.org>,
 Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-all-dev,
 cython3 (>= 0.28.5),
 python3-brotli (>= 1.0.9) <!nocheck>,
 python3-pytest <!nocheck>,
 python3-scipy (>= 1.7.1) <!nocheck> | python3-munkres (>= 1.1.4) <!nocheck>,
 python3-setuptools,
 python3-fs (>= 2.4.11) <!nocheck>,
 python3-lxml (>= 4.5.0) <!nocheck>,
 python3-ufolib2 (>= 0.12.1) <!nocheck>,
 sphinx-common,
 unicode-data (>= 14.0.0),
Build-Depends-Indep: 
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-matplotlib <!nodoc>,
Standards-Version: 4.5.1
Homepage: https://github.com/fonttools/fonttools
Vcs-Git: https://salsa.debian.org/fonts-team/fonttools.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonttools

Package: python3-fonttools
Section: python
Architecture: any
Depends:
 python3-brotli (>= 1.0.9),
 python3-pkg-resources,
 python3-scipy (>= 1.7.1) | python3-munkres (>= 1.1.4),
 python3-ufolib2 (>= 0.12.1) | python3-defcon (>= 0.6.0),
 python3-sympy,
 python3-fs (>= 2.4.11),
 python3-lxml (>= 4.5.0),
 python3-lz4 (>= 1.7.4.2),
 python3-unicodedata2 (>= 14.0.0) | python3-all (>= 3.11.0),
 unicode-data (>= 14.0.0),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Replaces: fonttools (<< 3.15.1-3)
Breaks: fonttools (<< 3.15.1-3)
Description: Converts OpenType and TrueType fonts to and from XML (Python 3 Library)
 FontTools/TTX is a library to manipulate font files from Python.
 It supports reading and writing of TrueType/OpenType fonts, reading
 and writing of AFM files, reading (and partially writing) of PS Type 1
 fonts.  It also contains a tool called "TTX" which converts
 TrueType/OpenType fonts to and from an XML-based format.
 .
 This is the Python 3 version of the fontTools package.

Package: python-fonttools-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends}
Replaces: fonttools (<< 3.15.1-1)
Breaks: fonttools (<< 3.15.1-1)
Build-Profiles: <!nodoc>
Description: Converts OpenType and TrueType fonts to and from XML (Documentation)
 FontTools/TTX is a library to manipulate font files from Python.
 It supports reading and writing of TrueType/OpenType fonts, reading
 and writing of AFM files, reading (and partially writing) of PS Type 1
 fonts.  It also contains a tool called "TTX" which converts
 TrueType/OpenType fonts to and from an XML-based format.
 .
 This is the sphinx documentation of the fontTools package.

Package: fonttools
Depends:
 ${python3:Depends},
 python3-fonttools (>= ${source:Version}),
 python3-fonttools (<< ${source:Version}.1~),
 ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: Converts OpenType and TrueType fonts to and from XML (Executables)
 FontTools/TTX is a library to manipulate font files from Python.
 It supports reading and writing of TrueType/OpenType fonts, reading
 and writing of AFM files, reading (and partially writing) of PS Type 1
 fonts.  It also contains a tool called "TTX" which converts
 TrueType/OpenType fonts to and from an XML-based format.
 .
 This provides the executables of fontTools package.

=== debian/tests/control ===
Test-Command: pytest-3
Depends: python3-all,
	 fonttools,
         python3-fonttools,
         python3-pytest

## fonttools 4.34.4

=== debian/changelog ===
fonttools (4.34.4-1) unstable; urgency=medium

  * New upstream version 4.34.4
  * debian/control: update dependency versions

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 09 Jul 2022 17:57:57 +0800

fonttools (4.33.3-1) unstable; urgency=medium

  * New upstream version 4.33.3
  * debian/control: Bump Standards-Version to 4.6.1; No other changes are
    needed.
  * Revert changes about attributing unicode-data, because Built-Using is used
    for referencing licenses that require source package to be available.
  * debian/source/lintian-overrides: Add lintian-overrides for unicode-data
    license text
  * debian/gbp.conf: Change debian-branch to debian/latest for DEP-14

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 29 May 2022 13:15:42 +0800

fonttools (4.32.0-1) unstable; urgency=medium

  * New upstream version 4.32.0
  * debian/control:
    Add Built-Using: unicode-data (= 14.0.0-1.1) to python3-fonttools
  * debian/copyright:
    Remove licenses for files generated from unicode-data, since Built-Using
    satisfies the license notice

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 13 Apr 2022 22:38:52 +0800

=== debian/control ===
--- 
+++ 
@@ -13,18 +13,18 @@
  cython3 (>= 0.28.5),
  python3-brotli (>= 1.0.9) <!nocheck>,
  python3-pytest <!nocheck>,
- python3-scipy (>= 1.7.1) <!nocheck> | python3-munkres (>= 1.1.4) <!nocheck>,
+ python3-scipy (>= 1.8.1) <!nocheck> | python3-munkres (>= 1.1.4) <!nocheck>,
  python3-setuptools,
- python3-fs (>= 2.4.11) <!nocheck>,
+ python3-fs (>= 2.4.16) <!nocheck>,
  python3-lxml (>= 4.5.0) <!nocheck>,
- python3-ufolib2 (>= 0.12.1) <!nocheck>,
+ python3-ufolib2 (>= 0.13.1) <!nocheck>,
  sphinx-common,
  unicode-data (>= 14.0.0),
 Build-Depends-Indep: 
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-matplotlib <!nodoc>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/fonttools/fonttools
 Vcs-Git: https://salsa.debian.org/fonts-team/fonttools.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonttools
@@ -35,10 +35,10 @@
 Depends:
  python3-brotli (>= 1.0.9),
  python3-pkg-resources,
- python3-scipy (>= 1.7.1) | python3-munkres (>= 1.1.4),
- python3-ufolib2 (>= 0.12.1) | python3-defcon (>= 0.6.0),
+ python3-scipy (>= 1.8.1) | python3-munkres (>= 1.1.4),
+ python3-ufolib2 (>= 0.13.1) | python3-defcon (>= 0.6.0),
  python3-sympy,
- python3-fs (>= 2.4.11),
+ python3-fs (>= 2.4.16),
  python3-lxml (>= 4.5.0),
  python3-lz4 (>= 1.7.4.2),
  python3-unicodedata2 (>= 14.0.0) | python3-all (>= 3.11.0),

## fonttools 4.38.0

=== requirements.txt ===
# we use the official Brotli module on CPython and the CFFI-based
# extension 'brotlipy' on PyPy
brotli==1.0.9; platform_python_implementation != "PyPy"
brotlicffi==1.0.9.2; platform_python_implementation == "PyPy"
unicodedata2==14.0.0; python_version < '3.11'
scipy==1.7.3; platform_python_implementation != "PyPy" and python_version <= '3.7'  # pyup: ignore
scipy==1.9.1; platform_python_implementation != "PyPy" and python_version > '3.7'
munkres==1.1.4; platform_python_implementation == "PyPy"
zopfli==0.2.1
fs==2.4.16
skia-pathops==0.7.2; platform_python_implementation != "PyPy"
# this is only required to run Tests/cu2qu/{ufo,cli}_test.py
ufoLib2==0.13.1
pyobjc==8.5; sys_platform == "darwin"
freetype-py==2.3.0
uharfbuzz==0.30.0

=== debian/changelog ===
fonttools (4.38.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

  [ Debian Janitor ]
  * debian/copyright: Trim trailing whitespace and tab2space.
  * Set upstream metadata fields.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Jan 2023 14:03:00 -0500

fonttools (4.37.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 15 Oct 2022 16:06:45 -0400

fonttools (4.37.1-1) unstable; urgency=medium

  * New upstream version 4.37.1
  * debian/control: Add build dependency python3-reportlab

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 03 Sep 2022 20:19:40 +0800

=== debian/control ===
--- 
+++ 
@@ -20,11 +20,12 @@
  python3-ufolib2 (>= 0.13.1) <!nocheck>,
  sphinx-common,
  unicode-data (>= 14.0.0),
-Build-Depends-Indep: 
+Build-Depends-Indep:
+ python3-reportlab <!nodoc>,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-matplotlib <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/fonttools/fonttools
 Vcs-Git: https://salsa.debian.org/fonts-team/fonttools.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonttools

## fonttools 4.46.0

=== requirements.txt ===
# we use the official Brotli module on CPython and the CFFI-based
# extension 'brotlipy' on PyPy
brotli==1.1.0; platform_python_implementation != "PyPy"
brotlicffi==1.1.0.0; platform_python_implementation == "PyPy"
unicodedata2==15.1.0; python_version <= '3.11'
scipy==1.10.0; platform_python_implementation != "PyPy" and python_version <= '3.8'  # pyup: ignore
scipy==1.11.3; platform_python_implementation != "PyPy" and python_version >= '3.9'
munkres==1.1.4; platform_python_implementation == "PyPy"
zopfli==0.2.3
fs==2.4.16
skia-pathops==0.8.0.post1; platform_python_implementation != "PyPy"
# this is only required to run Tests/cu2qu/{ufo,cli}_test.py
ufoLib2==0.16.0
ufo2ft==2.33.4
pyobjc==10.0; sys_platform == "darwin"
freetype-py==2.4.0
uharfbuzz==0.37.3
glyphsLib==6.4.1 # this is only required to run Tests/varLib/interpolatable_test.py
lxml==4.9.3
sympy==1.12

=== debian/changelog ===
fonttools (4.46.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:53:32 +0000

fonttools (4.46.0-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:15:38 +0100

fonttools (4.46.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fixes Python 3.12 syntax warning (Closes: #1057535)
  * Bump dependencies

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Dec 2023 16:48:27 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fonttools
 Section: devel
 Priority: optional
-Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Yao Wei (魏銘廷) <mwei@debian.org>
@@ -11,15 +12,15 @@
  python3-all,
  python3-all-dev,
  cython3 (>= 0.28.5),
- python3-brotli (>= 1.0.9) <!nocheck>,
+ python3-brotli (>= 1.1.0) <!nocheck>,
  python3-pytest <!nocheck>,
- python3-scipy (>= 1.8.1) <!nocheck> | python3-munkres (>= 1.1.4) <!nocheck>,
+ python3-scipy (>= 1.10.0) <!nocheck> | python3-munkres (>= 1.1.4) <!nocheck>,
  python3-setuptools,
  python3-fs (>= 2.4.16) <!nocheck>,
- python3-lxml (>= 4.5.0) <!nocheck>,
- python3-ufolib2 (>= 0.13.1) <!nocheck>,
+ python3-lxml (>= 4.9.3) <!nocheck>,
+ python3-ufolib2 (>= 0.16.0) <!nocheck>,
  sphinx-common,
- unicode-data (>= 14.0.0),
+ unicode-data (>= 15.1.0),
 Build-Depends-Indep:
  python3-reportlab <!nodoc>,
  python3-sphinx <!nodoc>,
@@ -34,16 +35,16 @@
 Section: python
 Architecture: any
 Depends:
- python3-brotli (>= 1.0.9),
+ python3-brotli (>= 1.1.0),
  python3-pkg-resources,
- python3-scipy (>= 1.8.1) | python3-munkres (>= 1.1.4),
- python3-ufolib2 (>= 0.13.1) | python3-defcon (>= 0.6.0),
+ python3-scipy (>= 1.10.0) | python3-munkres (>= 1.1.4),
+ python3-ufolib2 (>= 0.16.0) | python3-defcon (>= 0.6.0),
  python3-sympy,
  python3-fs (>= 2.4.16),
- python3-lxml (>= 4.5.0),
+ python3-lxml (>= 4.9.3),
  python3-lz4 (>= 1.7.4.2),
- python3-unicodedata2 (>= 14.0.0) | python3-all (>= 3.11.0),
- unicode-data (>= 14.0.0),
+ python3-unicodedata2 (>= 15.1.0) | python3-all (>= 3.11.0),
+ unicode-data (>= 15.1.0),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

binaries := $(shell dh_listpackages)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

# skip doctest with afmLib and tfmLib due to file loading issue with
# dh_auto_test
# TOFIX(mwei): find a fix to this
export PYBUILD_TEST_ARGS = -k "not afmLib and not tfmLib"

override_dh_auto_build:
	python3 MetaTools/buildUCD.py --ucd-path=/usr/share/unicode
	PYTHONPATH="./Lib" python3 MetaTools/buildTableList.py
	dh_auto_build

ifneq ($(filter python-fonttools-doc,$(binaries)),)
override_dh_sphinxdoc:
	sphinx-build $(CURDIR)/Doc/source $(CURDIR)/debian/python-fonttools-doc/usr/share/doc/fonttools/html/
	dh_sphinxdoc
endif

## fonttools 4.54.1

=== debian/changelog ===
fonttools (4.54.1-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/0002-keep-doctest-compatible-with-Unicode-15.1.patch:
    Update patch to be compatible with Unicode 15.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Oct 2024 19:09:01 -0400

fonttools (4.54.1-3) unstable; urgency=medium

  * Team upload.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/control: Further tighten build-dep versions.
  * debian/tests/control: Ditto.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Oct 2024 15:13:36 -0400

fonttools (4.54.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Require unicode-data (<< 16) for now.
  * debian/rules: Disallow test failures again.
  * debian/patches/0002-keep-doctest-compatible-with-Unicode-15.1.patch:
    Add patch to keep tests compatible with unicode 15.1 for now.
    Once Debian packages unicode-data (>= 16.0), this patch should be
    dropped.

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Oct 2024 21:20:54 -0400

fonttools (4.54.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Oct 2024 17:53:41 -0400

fonttools (4.54.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Upload to experimental due to failed doctest.
  * debian/control: Add new build-dependencies:
    + python3-glyphslib (optional)
    + python3-ufo2ft (>= 3.2.7) <!nocheck>
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Oct 2024 20:48:44 -0400

fonttools (4.51.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/gbp.conf: Use "ignore-branch = True".
  * debian/control:
    + Move main package description to the source package.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Apr 2024 19:57:57 -0400

=== debian/control ===
Source: fonttools
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Luke Faraone <lfaraone@debian.org>,
 Yao Wei (魏銘廷) <mwei@debian.org>,
Build-Depends:
 cython3 (>= 0.28.5),
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-all-dev,
 python3-brotli (>= 1.1.0) <!nocheck>,
 python3-fs (>= 2.4.16) <!nocheck>,
# python3-glyphslib: optional
 python3-glyphslib (>= 6.9.2),
 python3-lxml (>= 4.9.3) <!nocheck>,
 python3-pytest <!nocheck>,
 python3-scipy (>= 1.10.0) <!nocheck> | python3-munkres (>= 1.1.4) <!nocheck>,
 python3-setuptools,
 python3-ufo2ft (>= 3.3.1) <!nocheck>,
 python3-ufolib2 (>= 0.16.0) <!nocheck>,
 sphinx-common,
# To enable unicode 16.x support, drop related debian-specific patch
 unicode-data (<< 16),
 unicode-data (>= 15.1.0),
Build-Depends-Indep:
 python3-matplotlib <!nodoc>,
 python3-reportlab <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://github.com/fonttools/fonttools
Vcs-Git: https://salsa.debian.org/fonts-team/fonttools.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonttools
Description: Converts OpenType and TrueType fonts to and from XML
 FontTools/TTX is a library to manipulate font files from Python.
 It supports reading and writing of TrueType/OpenType fonts, reading
 and writing of AFM files, reading (and partially writing) of PS Type 1
 fonts.  It also contains a tool called "TTX" which converts
 TrueType/OpenType fonts to and from an XML-based format.

Package: python3-fonttools
Section: python
Architecture: any
Depends:
 python3-brotli (>= 1.1.0),
 python3-fs (>= 2.4.16),
 python3-lxml (>= 4.9.3),
 python3-lz4 (>= 1.7.4.2),
 python3-pkg-resources,
 python3-scipy (>= 1.10.0) | python3-munkres (>= 1.1.4),
 python3-sympy,
 python3-ufolib2 (>= 0.16.0) | python3-defcon (>= 0.6.0),
 python3-unicodedata2 (>= 15.1.0) | python3-all (>= 3.11.0),
 unicode-data (>= 15.1.0),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Replaces:
 fonttools (<< 3.15.1-3),
Breaks:
 fonttools (<< 3.15.1-3),
Description: ${source:Synopsis} (Python 3 Library)
 ${source:Extended-Description}
 .
 This is the Python 3 version of the fontTools package.

Package: fonttools
Depends:
 python3-fonttools (<< ${source:Version}.1~),
 python3-fonttools (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Architecture: all
Multi-Arch: foreign
Description: ${source:Synopsis} (Executables)
 ${source:Extended-Description}
 .
 This provides the executables of fontTools package.

Package: python-fonttools-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Replaces:
 fonttools (<< 3.15.1-1),
Breaks:
 fonttools (<< 3.15.1-1),
Build-Profiles: <!nodoc>
Description: ${source:Synopsis} (Documentation)
 ${source:Extended-Description}
 .
 This is the sphinx documentation of the fontTools package.

## fonttools 4.55.0

=== debian/changelog ===
fonttools (4.55.0-3) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 15:57:04 -0500

fonttools (4.55.0-2) unstable; urgency=medium

  * Team upload
  * Don't require some build test dependencies on i386
  * Add patch to skip new test that fails on i386 because of excess precision

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 14:39:06 -0500

fonttools (4.55.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump dependency versions

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 16 Nov 2024 13:24:39 -0500

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,13 @@
  python3-brotli (>= 1.1.0) <!nocheck>,
  python3-fs (>= 2.4.16) <!nocheck>,
 # python3-glyphslib: optional
- python3-glyphslib (>= 6.9.2),
+ python3-glyphslib (>= 6.9.4) [!i386],
  python3-lxml (>= 4.9.3) <!nocheck>,
  python3-pytest <!nocheck>,
  python3-scipy (>= 1.10.0) <!nocheck> | python3-munkres (>= 1.1.4) <!nocheck>,
  python3-setuptools,
- python3-ufo2ft (>= 3.3.1) <!nocheck>,
- python3-ufolib2 (>= 0.16.0) <!nocheck>,
+ python3-ufo2ft (>= 3.3.1) [!i386] <!nocheck>,
+ python3-ufolib2 (>= 0.16.1) <!nocheck>,
  sphinx-common,
 # To enable unicode 16.x support, drop related debian-specific patch
  unicode-data (<< 16),
@@ -52,7 +52,7 @@
  python3-pkg-resources,
  python3-scipy (>= 1.10.0) | python3-munkres (>= 1.1.4),
  python3-sympy,
- python3-ufolib2 (>= 0.16.0) | python3-defcon (>= 0.6.0),
+ python3-ufolib2 (>= 0.16.1) | python3-defcon (>= 0.6.0),
  python3-unicodedata2 (>= 15.1.0) | python3-all (>= 3.11.0),
  unicode-data (>= 15.1.0),
  ${misc:Depends},

## fonttools 4.55.3

=== debian/changelog ===
fonttools (4.55.3-2ubuntu0.25.10.1) questing-security; urgency=medium

   * SECURITY UPDATE: Arbitrary File Write and XML injection
     in fontTools.varLib
    - debian/patches/CVE-2025-66034.patch: varLib: only use 
      the basename(vf.filename).
    - CVE-2025-66034

 -- Nick Galanis <nick.galanis@canonical.com>  Tue, 09 Dec 2025 12:50:57 +0000

fonttools (4.55.3-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:53:52 +0000

fonttools (4.55.3-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Mark glyphslib build-dep as <!nocheck>. (Closes: #1093538)

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 15:10:49 -0500

fonttools (4.55.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Drop useless dependency to python3-pkg-resources.
    (Closes: #1083404)

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Jan 2025 12:22:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fonttools
 Section: devel
 Priority: optional
-Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Yao Wei (魏銘廷) <mwei@debian.org>,
@@ -13,8 +14,8 @@
  python3-all-dev,
  python3-brotli (>= 1.1.0) <!nocheck>,
  python3-fs (>= 2.4.16) <!nocheck>,
-# python3-glyphslib: optional
- python3-glyphslib (>= 6.9.4) [!i386],
+# python3-glyphslib: optional test build-dependency
+ python3-glyphslib (>= 6.9.4) [!i386] <!nocheck>,
  python3-lxml (>= 4.9.3) <!nocheck>,
  python3-pytest <!nocheck>,
  python3-scipy (>= 1.10.0) <!nocheck> | python3-munkres (>= 1.1.4) <!nocheck>,
@@ -49,7 +50,6 @@
  python3-fs (>= 2.4.16),
  python3-lxml (>= 4.9.3),
  python3-lz4 (>= 1.7.4.2),
- python3-pkg-resources,
  python3-scipy (>= 1.10.0) | python3-munkres (>= 1.1.4),
  python3-sympy,
  python3-ufolib2 (>= 0.16.1) | python3-defcon (>= 0.6.0),

## fonttools 4.57.0

=== requirements.txt ===
# we use the official Brotli module on CPython and the CFFI-based
# extension 'brotlipy' on PyPy
brotli==1.1.0; platform_python_implementation != "PyPy"
brotlicffi==1.1.0.0; platform_python_implementation == "PyPy"
unicodedata2==15.1.0; python_version <= '3.11'
scipy==1.10.0; platform_python_implementation != "PyPy" and python_version <= '3.8'  # pyup: ignore
scipy==1.14.1; platform_python_implementation != "PyPy" and python_version >= '3.9'
munkres==1.1.4; platform_python_implementation == "PyPy"
zopfli==0.2.3.post1
fs==2.4.16
skia-pathops==0.8.0.post2; platform_python_implementation != "PyPy"
# this is only required to run Tests/cu2qu/{ufo,cli}_test.py
ufoLib2==0.17.0
ufo2ft==3.3.1
pyobjc==10.3.2; sys_platform == "darwin"
freetype-py==2.5.1
uharfbuzz==0.43.0
glyphsLib==6.9.5 # this is only required to run Tests/varLib/interpolatable_test.py
lxml==5.3.0
sympy==1.13.3

=== debian/changelog ===
fonttools (4.57.0-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:10:22 +0000

fonttools (4.57.0-2) unstable; urgency=high

  * Team upload

  [ Jeremy Bícha ]
  * Build with unicode-data 16

  [ Alexandre Detiste ]
  * apply Multi-Arch: hint

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Sep 2025 14:25:36 -0400

fonttools (4.57.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/0004: Disable tests related to the new unicode
    for now to fix autopkgtest.

 -- Boyuan Yang <byang@debian.org>  Sat, 05 Apr 2025 15:52:02 -0400

fonttools (4.55.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.7.2.
  * debian/control: Add missing ${sphinxdoc:Built-Using} to the
    doc package.
  * debian/control: Add build-dep and binary dependency to
    python3-zopfli. (Closes: #1101435)

 -- Boyuan Yang <byang@debian.org>  Mon, 31 Mar 2025 15:24:19 -0400

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 binaries := $(shell dh_listpackages)
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 # skip doctest with afmLib and tfmLib due to file loading issue with
 # dh_auto_test

=== debian/tests/control ===
Test-Command: pytest-3
Depends:
 fonttools,
 python3-all,
 python3-fonttools,
 python3-pytest,
 python3-glyphslib (>= 6.9.2),
 python3-ufo2ft (>= 3.3.1),

## fonttools 4.61.1

=== requirements.txt ===
# we use the official Brotli module on CPython and the CFFI-based
# extension 'brotlipy' on PyPy
brotli==1.2.0; platform_python_implementation != "PyPy"
brotlicffi==1.2.0.0; platform_python_implementation == "PyPy"
unicodedata2==17.0.0
scipy==1.14.1; platform_python_implementation != "PyPy" and python_version < '3.11'
scipy==1.16.3; platform_python_implementation != "PyPy" and python_version >= '3.11'
munkres==1.1.4; platform_python_implementation == "PyPy"
zopfli==0.4.0
# fs is no longer required by the 'ufo' extra (only used if present) but we keep it in
# here so that tox continues to install it for the tests
fs==2.4.16
skia-pathops==0.9.0; platform_python_implementation != "PyPy"
# this is only required to run Tests/cu2qu/{ufo,cli}_test.py
ufoLib2==0.18.1
ufo2ft==3.6.8
pyobjc==12.1; sys_platform == "darwin"
freetype-py==2.5.1
uharfbuzz==0.52.0
glyphsLib==6.12.4 # this is only required to run Tests/varLib/interpolatable_test.py
lxml==6.0.2
sympy==1.14.0

=== debian/changelog ===
fonttools (4.61.1-4) unstable; urgency=medium

  * Team upload
  * Depend on uharfbuzz
  * Clean build files (Closes: #1044525)

 -- Bastian Germann <bage@debian.org>  Sun, 01 Mar 2026 17:07:23 +0100

fonttools (4.61.1-3) unstable; urgency=medium

  * Team upload.
  * Fix wrong placement of @pytest.mark.skipif()

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 12 Jan 2026 22:20:49 +0100

fonttools (4.61.1-2) unstable; urgency=medium

  * Team upload.
  * Skip test on i386.
    The test fails due to excess precision on that architecture, see
    https://wiki.debian.org/ArchitectureSpecificsMemo#i386.
    On i386, the calculated value is 326.4999999999999 instead
    of the expected 326.49999999999994.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 11 Jan 2026 14:04:44 +0100

fonttools (4.61.1-1) unstable; urgency=medium

  * Team upload.

  [ Dr. Tobias Quathamer ]
  * New upstream version 4.61.1
    - This release includes the fix for CVE-2025-66034. Closes: #1121605
    - Refresh patch
    - Remove patch, has been fixed upstream
  * Update FSF address in d/copyright
  * Remove Priority: optional from d/control
  * Update Standards-Version to 4.7.3
  * Depend on python3-ufolib2 (>= 0.18.1)
  * Remove dependency on python3-fs (Closes: #1082582)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (archived release)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 04 Jan 2026 17:34:24 +0100

fonttools (4.57.0-3) unstable; urgency=medium

  * Team upload
  * Use munkres over scipy to get scipy out of key pkgs

 -- Bastian Germann <bage@debian.org>  Tue, 25 Nov 2025 18:07:37 +0100

=== debian/control ===
Source: fonttools
Section: devel
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Luke Faraone <lfaraone@debian.org>,
 Yao Wei (魏銘廷) <mwei@debian.org>,
Build-Depends:
 cython3,
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-all-dev,
 python3-brotli (>= 1.1.0) <!nocheck>,
# python3-glyphslib: optional test build-dependency
 python3-glyphslib (>= 6.9.4) [!i386] <!nocheck>,
 python3-lxml (>= 4.9.3) <!nocheck>,
 python3-pytest <!nocheck>,
 python3-munkres <!nocheck>,
 python3-setuptools,
 python3-ufo2ft (>= 3.3.1) [!i386] <!nocheck>,
 python3-ufolib2 (>= 0.18.1) <!nocheck>,
 python3-zopfli,
 sphinx-common,
 unicode-data (<< 17),
 unicode-data (>= 16),
Build-Depends-Indep:
 python3-matplotlib <!nodoc>,
 python3-reportlab <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://github.com/fonttools/fonttools
Vcs-Git: https://salsa.debian.org/fonts-team/fonttools.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonttools
Description: Converts OpenType and TrueType fonts to and from XML
 FontTools/TTX is a library to manipulate font files from Python.
 It supports reading and writing of TrueType/OpenType fonts, reading
 and writing of AFM files, reading (and partially writing) of PS Type 1
 fonts.  It also contains a tool called "TTX" which converts
 TrueType/OpenType fonts to and from an XML-based format.

Package: python3-fonttools
Section: python
Architecture: any
Depends:
 python3-brotli (>= 1.1.0),
 python3-lxml (>= 4.9.3),
 python3-lz4 (>= 1.7.4.2),
 python3-munkres | python3-scipy,
 python3-sympy,
 python3-ufolib2 (>= 0.18.1) | python3-defcon,
 python3-uharfbuzz,
 python3-unicodedata2 (>= 15.1.0) | python3-all (>= 3.11.0),
 python3-zopfli,
 unicode-data (>= 16),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (Python 3 Library)
 ${source:Extended-Description}
 .
 This is the Python 3 version of the fontTools package.

Package: fonttools
Depends:
 python3-fonttools (<< ${source:Version}.1~),
 python3-fonttools (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Architecture: all
Multi-Arch: foreign
Description: ${source:Synopsis} (Executables)
 ${source:Extended-Description}
 .
 This provides the executables of fontTools package.

Package: python-fonttools-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Build-Profiles: <!nodoc>
Built-Using: ${sphinxdoc:Built-Using}
Description: ${source:Synopsis} (Documentation)
 ${source:Extended-Description}
 .
 This is the sphinx documentation of the fontTools package.
